<?php
    $strHost = bCounter_createStringForDB($_GET["host"]); # escape string etc
    if ( strlen($strHost) > 0 ) {
        $strSQLstring = "SELECT *, COUNT(id) AS anzahl FROM ".$bCounter_dbPrefix."referer WHERE host='$strHost' GROUP BY path, query ORDER BY anzahl DESC";
        $SQLresult = $bCounterDB->query($strSQLstring);
        if ( mysql_num_rows($SQLresult) > 0 ) {
            $strTitle .= ' | Referer | '.$strHost;
            $strDivBody .= '<h2>Referer von '.$strHost.' ('.mysql_num_rows($SQLresult).')</h2>';
            $strDivBody .= '<div class="table">';
            $strDivBody .= '<ul class="no_style">';
            for ( $i = 0; $i < mysql_num_rows($SQLresult); $i++ ) {
                $strURI = mysql_result($SQLresult, $i, "host").mysql_result($SQLresult, $i, "path");
                if ( strlen( mysql_result($SQLresult, $i, "query") ) > 0 ) {
                    $strURI .= "?".mysql_result($SQLresult, $i, "query");
                }
                $strURI = 'http://'.$strURI;

                $strDivBody .= '<li>';
                $strDivBody .= '<a href="'.$strURI.'" target="_blank">';
                $strDivBody .= $strURI;
                $strDivBody .= '</a>';
                $strDivBody .= ' ('.mysql_result($SQLresult, $i, "anzahl").')';
                $strDivBody .= '</li>';
            }
            $strDivBody .= '</ul>';
            $strDivBody .= '</div>';
        }else{
            $strDivBody .= "Host unbekannt.";
        }
    }
?>